Subject: Re: Harmful LESS flags

From: David Kastrup <[email-masked]>
Date: Thu, 24 Apr 2014 23:48:30 +0200

Jeff King <[email-masked]> writes:

> On Thu, Apr 24, 2014 at 12:29:21PM -0700, Junio C Hamano wrote:
>
>> David Kastrup <[email-masked]> writes:
>> 
>> > Junio C Hamano <[email-masked]> writes:
>> >
>> >> Traditionally, because the tool grew in a context of being used in a
>> >> project whose participants are at least not malicious, always having
>> >> to be on the lookout for fear of middle-of-line tabs hiding bad
>> >> contents near the right edges of lines has never been an issue.
>> >
>> > My beef is not with "hiding bad contents" but with "hiding contents".
>> > It makes the output useless for seeing what is actually happening as
>> > soon as the option starts having an effect.
>> 
>> My suspicion is that one of the reasons why S was chosen to be in
>> the default was to mildly discourage people from busting the usual
>> line-length limit, but I am not Linus ;-)
>
> I would think it's the opposite. Long lines look _horrible_ without
> "-S", as they get wrapped at awkward points. Using "-S" means that long
> lines don't bug you, unless you really want to scroll over and see the
> content.

I prefer horrible over useless.

> I really think the right solution here is to teach less to make it more
> obvious that there is something worth scrolling over to. Here's a very
> rough patch for less, if you want to see what I'm thinking of.

Still useless.  I'm not actually interested in a more prominent "I could
be useful" indicator.

-- 
David Kastrup